Cant get Arduino for STM32 Installed.

Windows XP,Vista,7,8 and 8.1 etc
srnet
Posts: 5
Joined: Tue Feb 09, 2016 8:19 pm

Cant get Arduino for STM32 Installed.

Post by srnet » Tue Feb 09, 2016 8:27 pm

Using Windows 8, I followed these instructions;

http://www.stm32duino.com/viewtopic.php?f=20&t=32

Board is set to 'Generic STM32F103C Series, variant STM32F103C8.

Removed Arduino first, then installed 1.6.7

When I load the blink program and compile I get a few warnings then and error;

C:\Users\Stuart\Documents\Arduino\hardware\Arduino_STM32\STM32F1\cores\maple/wirish.h:51:28: fatal error: libmaple/stm32.h: No such file or directory

What Have I done wrong ?

Also get a series of these messages a bit later;

Invalid library found in C:\Users\Stuart\Documents\Arduino\hardware\Arduino_STM32\STM32F1\libraries\Ethernet_STM: C:\Users\Stuart\Documents\Arduino\hardware\Arduino_STM32\STM32F1\libraries\Ethernet_STM
Invalid library found in C:\Users\Stuart\Documents\Arduino\hardware\Arduino_STM32\STM32F1\libraries\TFT_ILI9163C: C:\Users\Stuart\Documents\Arduino\hardware\Arduino_STM32\STM32F1\libraries\TFT_ILI9163C

User avatar
RogerClark
Posts: 7680
Joined: Mon Apr 27, 2015 10:36 am
Location: Melbourne, Australia
Contact:

Re: Cant get Arduino for STM32 Installed.

Post by RogerClark » Tue Feb 09, 2016 8:32 pm

you said you are using 1.6.7

but only 1.6.5 is supported.

was this a typo?

C_D
Posts: 62
Joined: Mon May 11, 2015 3:27 am
Location: New Zealand

Re: Cant get Arduino for STM32 Installed.

Post by C_D » Tue Feb 09, 2016 8:50 pm

I had this error when I did a new install the other day also. Unfortunately I cant remember what I did to fix it...

User avatar
mrburnette
Posts: 2190
Joined: Mon Apr 27, 2015 12:50 pm
Location: Greater Atlanta
Contact:

Re: Cant get Arduino for STM32 Installed.

Post by mrburnette » Tue Feb 09, 2016 9:03 pm

C_D wrote:I had this error when I did a new install the other day also. Unfortunately I cant remember what I did to fix it...
OK ...
Arduino IDE 1.6.7 should NOT be utilized As Roger states, 1.6.5 is the most recent supported version.

IF you must have version 1.6.7, then consider using the Arduino.org version 1.7.8 as it can co-exist with the 1.6.7.

Good luck,

Ray

C_D
Posts: 62
Joined: Mon May 11, 2015 3:27 am
Location: New Zealand

Re: Cant get Arduino for STM32 Installed.

Post by C_D » Wed Feb 10, 2016 1:29 am

Actually that might be exactly what happened, I did briefly install 1.6.7 before I realised it didn't work. Looks like OP saying 1.6.7 may not have been a typo :)

User avatar
RogerClark
Posts: 7680
Joined: Mon Apr 27, 2015 10:36 am
Location: Melbourne, Australia
Contact:

Re: Cant get Arduino for STM32 Installed.

Post by RogerClark » Wed Feb 10, 2016 1:43 am

Somewhat off topic, but can anyone confirm what the ESP8266 guys are doing in relation to 1.6.7 etc

I checked their repo and it says 1.6.5 , so I presume they made the same decision , i.e stay with a stable version, rather than make something not backwards compatible with their thousands or users.

User avatar
mrmonteith
Posts: 113
Joined: Wed Aug 26, 2015 3:11 pm
Location: Greenville, North Carolina
Contact:

Re: Cant get Arduino for STM32 Installed.

Post by mrmonteith » Wed Feb 10, 2016 2:17 am

RogerClark wrote:Somewhat off topic, but can anyone confirm what the ESP8266 guys are doing in relation to 1.6.7 etc

I checked their repo and it says 1.6.5 , so I presume they made the same decision , i.e stay with a stable version, rather than make something not backwards compatible with their thousands or users.
I've got 1.6.7 loaded since I'm working with the ESP8266 and the NodeMCU a lot right now. Not having any problem. I can use the standalone version of the older IDE for STM32. But again I'm only concentrating on the ESP stuff right now.

Michael

srnet
Posts: 5
Joined: Tue Feb 09, 2016 8:19 pm

Re: Cant get Arduino for STM32 Installed.

Post by srnet » Wed Feb 10, 2016 6:24 am

RogerClark wrote:you said you are using 1.6.7

but only 1.6.5 is supported.

was this a typo?
That was my mistake, I saw the;

"a followup tutorial that shows the additional steps required for IDE 1.6.3 or newer"

but missed the bit;

"This no longer works with IDE version 1.6.6 or newer (at the moment)"

It now (with 1.6.5) compiles blink at 12,412bytes Flash and 2,560bytes RAM.

Thanks for the help.

User avatar
mrburnette
Posts: 2190
Joined: Mon Apr 27, 2015 12:50 pm
Location: Greater Atlanta
Contact:

Re: Cant get Arduino for STM32 Installed.

Post by mrburnette » Wed Feb 10, 2016 1:36 pm

RogerClark wrote:Somewhat off topic, but can anyone confirm what the ESP8266 guys are doing in relation to 1.6.7 etc

I checked their repo and it says 1.6.5 , so I presume they made the same decision , i.e stay with a stable version, rather than make something not backwards compatible with their thousands or users.

I'm using 1.6.7 with ESP8266 but some "Arduino" stuff broke: That is, syntax rules are 'tighter' with some of the default type-casting disabled and the automatic forward declarations do not work - so back to using good practice and doing your own function prototyping.

Ray

User avatar
RogerClark
Posts: 7680
Joined: Mon Apr 27, 2015 10:36 am
Location: Melbourne, Australia
Contact:

Re: Cant get Arduino for STM32 Installed.

Post by RogerClark » Wed Feb 10, 2016 7:45 pm

I have a multi file project I'm using for ESP8266 on 1.6.5 and I had to go back to using prototypes, as relying on automatic prototyping on more complex projects is not very practical unless you carefully organise the positions of the functions in each file and dont want to call a function in another file.

Post Reply